Skip to content

HPE Greenlake For Object Storage REST APIs (1.0.0)

HPE Greenlake For Object Storage REST APIs

Languages
Servers
https://eu1.data.cloud.hpe.com/
https://us1.data.cloud.hpe.com/
https://jp1.data.cloud.hpe.com/
Mock server
https://developer.greenlake.hpe.com/_mock/docs/greenlake/services/object-storage/public/openapi/object-storage-latest/v1/object-storage-api/

access-policies

The Access Policies API provides endpoints for creating, managing, and configuring access policies.

Operations

buckets

The Buckets API provides endpoints for creating, managing, and configuring storage buckets. Buckets are containers for organizing and storing data, and this API allows full control over their lifecycle, including creation, updates, retrieval, and deletion.

Operations

groups

The Groups API provides endpoints for creating, managing, and configuring groups.

Operations

users

The Users API provides endpoints for creating, managing, and configuring users.

Operations

bucket-performance

Operations

Get all Performance charts for HPE Alletra Storage X10000 system bucket

Request

Get all Performance charts for HPE Alletra Storage X10000 system bucket

Security
bearer
Path
systemIdstringrequired

A unique identifier assigned to each object service device

Example: 8UW0002928
bucketIdstringrequired

A unique identifier assigned to each bucket created in the ObjectStore

Example: bucket1
Query
rangestring

The range specifies the start and end time for executing the query.

Example: range=startTime eq 1605063600 and endTime eq 1605186000
time-interval-mininteger

It defines granularity in minutes.

Enum5601440
curl -i -X GET \
  https://eu1.data.cloud.hpe.com/object-storage/v1/devtype7-storage-systems/8UW0002928/buckets/bucket1/performance-history \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
countintegerrequired

Number of items in this response.

offsetintegerrequired

The offset query parameter from the request.

itemsArray of objects or null(BucketPerformanceHistory)required
items[].​idstringrequired

Identifier of the bucket resource

Example: "bucket1"
items[].​typestringrequired

Type of the resource

Example: "bucket"
items[].​bucketIdstring or null

Identifier of the Storage system Bucket.

Example: "0000-0000-0001"
items[].​commonResourceAttributesobject or null(CommonResourceAttributes)
items[].​customerIdstring or null

customerId

Example: "fc5f41652a53497e88cdcebc715cc1cf"
items[].​endTimeinteger or null

end time of history data

Example: null
items[].​historyDataobject or null

performance history data

items[].​startTimeinteger or null

start time of history data

Example: 1625556314
items[].​systemUidstring or null

Identifier of the Storage system to which the Bucket belongs.

Example: "1AB234CDEF"
totalinteger

Total number of items matching the filter parameter in the request.

Response
application/json
{ "count": 0, "offset": 0, "total": 0, "items": [ {} ] }